Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Interface XSLTVisitable

All Known Implementing Classes:
  AVT, AVTPart, AVTPartSimple, AVTPartXPath, DecimalFormatProperties, ElemApplyImport, ElemApplyTemplates, ElemAttribute, ElemAttributeSet, ElemCallTemplate, ElemChoose, ElemComment, ElemCopy, ElemCopyOf, ElemElement, ElemEmpty, ElemExsltFuncResult, ElemExsltFunction, ElemExtensionCall, ElemExtensionDecl, ElemExtensionScript, ElemFallback, ElemForEach, ElemIf, ElemLiteralResult, ElemMessage, ElemNumber, ElemOtherwise, ElemParam, ElemPI, ElemSort, ElemTemplate, ElemTemplateElement, ElemText, ElemTextLiteral, ElemUnknown, ElemUse, ElemValueOf, ElemVariable, ElemVariablePsuedo, ElemWhen, ElemWithParam, KeyDeclaration, NamespaceAlias, OutputProperties, ProcessorCharacters, ProcessorExsltFuncResult, ProcessorExsltFunction, ProcessorImport, ProcessorInclude, ProcessorLRE, ProcessorStylesheetDoc, ProcessorStylesheetElement, ProcessorTemplateElem, ProcessorText, ProcessorUnknown, Stylesheet, StylesheetComposed, StylesheetRoot, WhiteSpaceInfo, WhitespaceInfoPaths, XSLTElementProcessor

    public interface XSLTVisitable

A class that implements this interface will call a XSLTVisitor for itself and members within it's heararchy. If the XSLTVistor's method returns false, the sub-member heararchy will not be traversed.

Method Summary
`void` | `callVisitors(XSLTVisitor visitor)` This will traverse the heararchy, calling the visitor for each member.

Method Detail

### callVisitors

    void callVisitors(XSLTVisitor visitor)

  This will traverse the heararchy, calling the visitor for each member. If the called visitor method returns false, the subtree should not be called.

  Parameters:
    `visitor` - The visitor whose appropriate method will be called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache XML Project. All Rights Reserved.